

 @Echo off
 Rem Ausgabe alle Farben
REM  @Echo off
REM  "%~dp0cechow.exe" --help
REM  pause
REM
REM  "%~dp0cechow.exe" --map
REM  pause


REM  "%~dp0cechow.exe" --#Yn --=
REM  "%~dp0cechow.exe" --#Yn --=
rem OK "%~dp0cechow.exe" #YnTEST oder so #=
REM  "%~dp0cechow.exe" #Yn#=
REM  "%~dp0cechow.exe" #Yn#=#:
REM  "%~dp0cechow.exe" =Yn
REM  Echo TEST oder so
REM  Echo TEST oder so
REM  pause
REM
REM
REM   FOR /L %%i IN (1,1,250) DO "%~dp0cechow.exe" --%%i:& Echo Color:%%i
REM  pause
REM
REM  Rem Stand 20.08.2011 17:46
REM  REM call ColorSet.cmd Standard or IsExecuting or IsIdel End or Ende or Ok or Err
REM  color 15
 rem Gelb Schwarz
REM  if /I "%~1" equ "Standard"    call "%~dp0cechow.exe" #Yn#=
REM  rem 25.06.2011 07:00 Standard eingef. IsExecuting Neu
REM  if /I "%~1" equ "IsExecuting" color #Yn#=
REM  rem Blaugrün Schwarz 15.11.2010 07:45 Hellgrau Schwarz
REM  if /I "%~1" equ "IsIdel"      color 128
REM  rem Hellgrau Schwarz
REM  if /I "%~1" equ "END"         color 128
REM  if /I "%~1" equ "Ende"        color 128
REM  rem Gruen Schwarz
REM  if /I "%~1" equ "OK"          color 10
REM  rem Rot Schwarz
REM  if /I "%~1" equ "ERR"         color 12
REM REM  if not "%JobColorLast%" equ "" call "%~dp0cechow.exe" --%JobColorLast%
REM REM  if not "%JobColorLast%" equ "" call "%~dp0cechow.exe" %JobColorLast%

:ColorSet
Rem Stand 25.06.2011
Rem Examples:
 REM call :ColorSet Reset
 REM call :ColorSet IsExecuting
 REM call :ColorSet IsIdel
 REM call :ColorSet End
 REM call :ColorSet Ende
 REM call :ColorSet OK
 REM call :ColorSet WRN
 REM call :ColorSet ERR

 rem -- cmd Color Farbinfo:
 REM    0 = Schwarz        8 = Dunkelgrau
 REM    1 = Dunkelblau     9 = Blau
 REM    2 = Dunkelgrün     A = Grün
 REM    3 = Blaugrün       B = Zyan
 REM    4 = Dunkelrot      C = Rot
 REM    5 = Lila           D = Magenta
 REM    6 = Ocker          E = Gelb
 REM    7 = Hellgrau       F = Weiß
 rem -- Farben nach Status setzen
 rem Gelb Schwarz

REM fb      foreground color and optional background color:
REM             n  black      N  dark gray          :  current color
REM             r  red        R  bright red
REM             g  green      G  bright green
REM             b  blue       B  bright blue
REM             c  cyan       C  bright cyan
REM             m  magenta    M  bright magenta
REM             y  brown      Y  yellow
REM             w  gray       W  white

 set BinPublic_DP=%~dp0
 call "%BinPublic_DP%\ColorSet.cmd" Reset
 Echo Reset
 call "%BinPublic_DP%\ColorSet.cmd" OK
 Echo OK
 call "%BinPublic_DP%\ColorSet.cmd" WRN
 Echo WRN
 call "%BinPublic_DP%\ColorSet.cmd" ERR
 Echo ERR
 call "%BinPublic_DP%\ColorSet.cmd" IsExecuting
 Echo IsExecuting
 call "%BinPublic_DP%\ColorSet.cmd" IsIdel
 Echo IsIdel
 call "%BinPublic_DP%\ColorSet.cmd" Dialog
 Echo Dialog
 call "%BinPublic_DP%\ColorSet.cmd" End
 Echo End

pause
